#pragma once
#include "Thing.h"

namespace RoboidControl {

class Participant {
public:
  const char *ipAddress = "0.0.0.0";
  int port = 0;

  unsigned char networkId = 0;

  Participant();
  Participant(const char *ipAddress, int port);
  ~Participant();

protected:
  std::list<Thing *> things;

public:
  Thing *Get(unsigned char networkId, unsigned char thingId);
  void Add(Thing *thing, bool checkId = true);
  void Remove(Thing *thing);
  void UpdateAll(unsigned long currentTimeMs);
};

} // namespace Control
